<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:27 CEST 2019 -->
<title>V10Statement (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="V10Statement (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Service.html" title="class in org.firebirdsql.gds.ng.wire.version10"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Transaction.html" title="class in org.firebirdsql.gds.ng.wire.version10"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/firebirdsql/gds/ng/wire/version10/V10Statement.html" target="_top">Frames</a></li>
<li><a href="V10Statement.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.firebirdsql.gds.ng.AbstractFbStatement">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds.ng.wire.version10</div>
<h2 title="Class V10Statement" class="title">Class V10Statement</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html" title="class in org.firebirdsql.gds.ng">org.firebirdsql.gds.ng.AbstractFbStatement</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireStatement.html" title="class in org.firebirdsql.gds.ng.wire">org.firebirdsql.gds.ng.wire.AbstractFbWireStatement</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.gds.ng.wire.version10.V10Statement</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../../org/firebirdsql/gds/ng/FbStatement.html" title="interface in org.firebirdsql.gds.ng">FbStatement</a>, <a href="../../../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html" title="interface in org.firebirdsql.gds.ng.listeners">ExceptionListenable</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireStatement.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireStatement</a></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../../org/firebirdsql/gds/ng/wire/version11/V11Statement.html" title="class in org.firebirdsql.gds.ng.wire.version11">V11Statement</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">V10Statement</span>
extends <a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireStatement.html" title="class in org.firebirdsql.gds.ng.wire">AbstractFbWireStatement</a>
implements <a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireStatement.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireStatement</a></pre>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.firebirdsql.gds.ng.AbstractFbStatement">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.firebirdsql.gds.ng.<a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html" title="class in org.firebirdsql.gds.ng">AbstractFbStatement</a></h3>
<code><a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#exceptionListenerDispatcher">exceptionListenerDispatcher</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#statementListenerDispatcher">statementListenerDispatcher</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Statement.html#V10Statement-org.firebirdsql.gds.ng.wire.FbWireDatabase-">V10Statement</a></span>(<a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a>&nbsp;database)</code>
<div class="block">Creates a new instance of V10Statement for the specified database.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Statement.html#doFreePacket-int-">doFreePacket</a></span>(int&nbsp;option)</code>
<div class="block">Handles sending the free statement packet and associated state changes on this statement</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Statement.html#execute-org.firebirdsql.gds.ng.fields.RowValue-">execute</a></span>(<a href="../../../../../../org/firebirdsql/gds/ng/fields/RowValue.html" title="class in org.firebirdsql.gds.ng.fields">RowValue</a>&nbsp;parameters)</code>
<div class="block">Execute the statement.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Statement.html#fetchRows-int-">fetchRows</a></span>(int&nbsp;fetchSize)</code>
<div class="block">Requests this statement to fetch the next <code>fetchSize</code> rows.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Statement.html#free-int-">free</a></span>(int&nbsp;option)</code>
<div class="block">Frees the currently allocated statement (either close the cursor with <a href="../../../../../../org/firebirdsql/gds/ISCConstants.html#DSQL_close"><code>ISCConstants.DSQL_close</code></a> or drop the statement
 handle using <a href="../../../../../../org/firebirdsql/gds/ISCConstants.html#DSQL_drop"><code>ISCConstants.DSQL_drop</code></a>.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Statement.html#getDefaultSqlInfoSize--">getDefaultSqlInfoSize</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Statement.html#getMaxSqlInfoSize--">getMaxSqlInfoSize</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Statement.html#getSqlInfo-byte:A-int-">getSqlInfo</a></span>(byte[]&nbsp;requestItems,
          int&nbsp;bufferLength)</code>
<div class="block">Request statement info.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Statement.html#prepare-java.lang.String-">prepare</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;statementText)</code>
<div class="block">Prepare the statement text.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Statement.html#processAllocateResponse-org.firebirdsql.gds.ng.wire.GenericResponse-">processAllocateResponse</a></span>(<a href="../../../../../../org/firebirdsql/gds/ng/wire/GenericResponse.html" title="class in org.firebirdsql.gds.ng.wire">GenericResponse</a>&nbsp;response)</code>
<div class="block">Processes the allocate response from the server.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Statement.html#processExecuteResponse-org.firebirdsql.gds.ng.wire.GenericResponse-">processExecuteResponse</a></span>(<a href="../../../../../../org/firebirdsql/gds/ng/wire/GenericResponse.html" title="class in org.firebirdsql.gds.ng.wire">GenericResponse</a>&nbsp;genericResponse)</code>
<div class="block">Process the execute response.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Statement.html#processExecuteSingletonResponse-org.firebirdsql.gds.ng.wire.SqlResponse-">processExecuteSingletonResponse</a></span>(<a href="../../../../../../org/firebirdsql/gds/ng/wire/SqlResponse.html" title="class in org.firebirdsql.gds.ng.wire">SqlResponse</a>&nbsp;sqlResponse)</code>
<div class="block">Process the execute response for statements with a singleton response (<code>op_execute2</code>; stored procedures).</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Statement.html#processFetchResponse--">processFetchResponse</a></span>()</code>
<div class="block">Process the fetch response by reading the returned rows and queuing them.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Statement.html#processFreeResponse-org.firebirdsql.gds.ng.wire.Response-">processFreeResponse</a></span>(<a href="../../../../../../org/firebirdsql/gds/ng/wire/Response.html" title="interface in org.firebirdsql.gds.ng.wire">Response</a>&nbsp;response)</code>
<div class="block">Processes the response to the free statement.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>protected byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Statement.html#processInfoSqlResponse-org.firebirdsql.gds.ng.wire.GenericResponse-">processInfoSqlResponse</a></span>(<a href="../../../../../../org/firebirdsql/gds/ng/wire/GenericResponse.html" title="class in org.firebirdsql.gds.ng.wire">GenericResponse</a>&nbsp;response)</code>
<div class="block">Processes the info sql response.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Statement.html#processPrepareResponse-org.firebirdsql.gds.ng.wire.GenericResponse-">processPrepareResponse</a></span>(<a href="../../../../../../org/firebirdsql/gds/ng/wire/GenericResponse.html" title="class in org.firebirdsql.gds.ng.wire">GenericResponse</a>&nbsp;genericResponse)</code>
<div class="block">Processes the prepare response from the server.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>protected byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Statement.html#readColumnData-org.firebirdsql.gds.impl.wire.XdrInputStream-int-">readColumnData</a></span>(<a href="../../../../../../org/firebirdsql/gds/impl/wire/XdrInputStream.html" title="class in org.firebirdsql.gds.impl.wire">XdrInputStream</a>&nbsp;xdrIn,
              int&nbsp;len)</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../org/firebirdsql/gds/ng/fields/RowValue.html" title="class in org.firebirdsql.gds.ng.fields">RowValue</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Statement.html#readSqlData--">readSqlData</a></span>()</code>
<div class="block">Reads a single row from the database.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Statement.html#sendAllocate--">sendAllocate</a></span>()</code>
<div class="block">Sends the allocate request to the server.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Statement.html#sendExecute-int-org.firebirdsql.gds.ng.fields.RowValue-">sendExecute</a></span>(int&nbsp;operation,
           <a href="../../../../../../org/firebirdsql/gds/ng/fields/RowValue.html" title="class in org.firebirdsql.gds.ng.fields">RowValue</a>&nbsp;parameters)</code>
<div class="block">Sends the execute (for <code>op_execute</code> or <code>op_execute2</code>) to the database.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Statement.html#sendFetch-int-">sendFetch</a></span>(int&nbsp;fetchSize)</code>
<div class="block">Sends the fetch request to the database.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Statement.html#sendFree-int-">sendFree</a></span>(int&nbsp;option)</code>
<div class="block">Sends the free statement to the database</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Statement.html#sendInfoSql-byte:A-int-">sendInfoSql</a></span>(byte[]&nbsp;requestItems,
           int&nbsp;bufferLength)</code>
<div class="block">Sends the info sql request to the database</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Statement.html#sendPrepare-java.lang.String-">sendPrepare</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;statementText)</code>
<div class="block">Sends the statement prepare to the connection.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Statement.html#setCursorName-java.lang.String-">setCursorName</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;cursorName)</code>
<div class="block">Sets the named cursor name for this statement.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Statement.html#writeColumnData-org.firebirdsql.gds.impl.wire.XdrOutputStream-int-byte:A-int-">writeColumnData</a></span>(<a href="../../../../../../org/firebirdsql/gds/impl/wire/XdrOutputStream.html" title="class in org.firebirdsql.gds.impl.wire">XdrOutputStream</a>&nbsp;xdrOut,
               int&nbsp;len,
               byte[]&nbsp;buffer,
               int&nbsp;fieldType)</code>&nbsp;</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Statement.html#writeSqlData-org.firebirdsql.gds.ng.fields.RowDescriptor-org.firebirdsql.gds.ng.fields.RowValue-">writeSqlData</a></span>(<a href="../../../../../../org/firebirdsql/gds/ng/fields/RowDescriptor.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptor</a>&nbsp;rowDescriptor,
            <a href="../../../../../../org/firebirdsql/gds/ng/fields/RowValue.html" title="class in org.firebirdsql.gds.ng.fields">RowValue</a>&nbsp;fieldValues)</code>
<div class="block">Write a set of SQL data from a <a href="../../../../../../org/firebirdsql/gds/ng/fields/RowValue.html" title="class in org.firebirdsql.gds.ng.fields"><code>RowValue</code></a>.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.wire.AbstractFbWireStatement">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.firebirdsql.gds.ng.wire.<a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireStatement.html" title="class in org.firebirdsql.gds.ng.wire">AbstractFbWireStatement</a></h3>
<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireStatement.html#calculateBlr-org.firebirdsql.gds.ng.fields.RowDescriptor-">calculateBlr</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireStatement.html#calculateBlr-org.firebirdsql.gds.ng.fields.RowDescriptor-org.firebirdsql.gds.ng.fields.RowValue-">calculateBlr</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireStatement.html#close--">close</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireStatement.html#emptyRowDescriptor--">emptyRowDescriptor</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireStatement.html#getDatabase--">getDatabase</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireStatement.html#getHandle--">getHandle</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireStatement.html#getXdrIn--">getXdrIn</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireStatement.html#getXdrOut--">getXdrOut</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireStatement.html#isValidTransactionClass-java.lang.Class-">isValidTransactionClass</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireStatement.html#setHandle-int-">setHandle</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.AbstractFbStatement">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.firebirdsql.gds.ng.<a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html" title="class in org.firebirdsql.gds.ng">AbstractFbStatement</a></h3>
<code><a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#addExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">addExceptionListener</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#addStatementListener-org.firebirdsql.gds.ng.listeners.StatementListener-">addStatementListener</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#checkStatementValid--">checkStatementValid</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#closeCursor--">closeCursor</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#closeCursor-boolean-">closeCursor</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#createExecutionPlanProcessor--">createExecutionPlanProcessor</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#createSqlCountProcessor--">createSqlCountProcessor</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#ensureClosedCursor-boolean-">ensureClosedCursor</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#finalize--">finalize</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#getExecutionPlan--">getExecutionPlan</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#getExplainedExecutionPlan--">getExplainedExecutionPlan</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#getFieldDescriptor--">getFieldDescriptor</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#getParameterDescriptionInfoRequestItems--">getParameterDescriptionInfoRequestItems</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#getParameterDescriptor--">getParameterDescriptor</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#getSqlCounts--">getSqlCounts</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#getSqlInfo-byte:A-int-org.firebirdsql.gds.ng.InfoProcessor-">getSqlInfo</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#getState--">getState</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#getStatementInfoRequestItems--">getStatementInfoRequestItems</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#getStatementWarningCallback--">getStatementWarningCallback</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#getSynchronizationObject--">getSynchronizationObject</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#getTransaction--">getTransaction</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#getTransactionListener--">getTransactionListener</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#getType--">getType</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#hasFields--">hasFields</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#hasSingletonResult--">hasSingletonResult</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#isAllRowsFetched--">isAllRowsFetched</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#isPrepareAllowed-org.firebirdsql.gds.ng.StatementState-">isPrepareAllowed</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#parseStatementInfo-byte:A-">parseStatementInfo</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#queueRowData-org.firebirdsql.gds.ng.fields.RowValue-">queueRowData</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#removeExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">removeExceptionListener</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#removeStatementListener-org.firebirdsql.gds.ng.listeners.StatementListener-">removeStatementListener</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#reset--">reset</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#reset-boolean-">reset</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#resetAll--">resetAll</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#setAllRowsFetched-boolean-">setAllRowsFetched</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#setFieldDescriptor-org.firebirdsql.gds.ng.fields.RowDescriptor-">setFieldDescriptor</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#setParameterDescriptor-org.firebirdsql.gds.ng.fields.RowDescriptor-">setParameterDescriptor</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#setTransaction-org.firebirdsql.gds.ng.FbTransaction-">setTransaction</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#setType-org.firebirdsql.gds.ng.StatementType-">setType</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#switchState-org.firebirdsql.gds.ng.StatementState-">switchState</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#validateParameters-org.firebirdsql.gds.ng.fields.RowValue-">validateParameters</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.FbStatement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.gds.ng.<a href="../../../../../../org/firebirdsql/gds/ng/FbStatement.html" title="interface in org.firebirdsql.gds.ng">FbStatement</a></h3>
<code><a href="../../../../../../org/firebirdsql/gds/ng/FbStatement.html#addStatementListener-org.firebirdsql.gds.ng.listeners.StatementListener-">addStatementListener</a>, <a href="../../../../../../org/firebirdsql/gds/ng/FbStatement.html#close--">close</a>, <a href="../../../../../../org/firebirdsql/gds/ng/FbStatement.html#closeCursor--">closeCursor</a>, <a href="../../../../../../org/firebirdsql/gds/ng/FbStatement.html#closeCursor-boolean-">closeCursor</a>, <a href="../../../../../../org/firebirdsql/gds/ng/FbStatement.html#emptyRowDescriptor--">emptyRowDescriptor</a>, <a href="../../../../../../org/firebirdsql/gds/ng/FbStatement.html#ensureClosedCursor-boolean-">ensureClosedCursor</a>, <a href="../../../../../../org/firebirdsql/gds/ng/FbStatement.html#getDatabase--">getDatabase</a>, <a href="../../../../../../org/firebirdsql/gds/ng/FbStatement.html#getExecutionPlan--">getExecutionPlan</a>, <a href="../../../../../../org/firebirdsql/gds/ng/FbStatement.html#getExplainedExecutionPlan--">getExplainedExecutionPlan</a>, <a href="../../../../../../org/firebirdsql/gds/ng/FbStatement.html#getFieldDescriptor--">getFieldDescriptor</a>, <a href="../../../../../../org/firebirdsql/gds/ng/FbStatement.html#getHandle--">getHandle</a>, <a href="../../../../../../org/firebirdsql/gds/ng/FbStatement.html#getParameterDescriptor--">getParameterDescriptor</a>, <a href="../../../../../../org/firebirdsql/gds/ng/FbStatement.html#getSqlCounts--">getSqlCounts</a>, <a href="../../../../../../org/firebirdsql/gds/ng/FbStatement.html#getSqlInfo-byte:A-int-org.firebirdsql.gds.ng.InfoProcessor-">getSqlInfo</a>, <a href="../../../../../../org/firebirdsql/gds/ng/FbStatement.html#getState--">getState</a>, <a href="../../../../../../org/firebirdsql/gds/ng/FbStatement.html#getTransaction--">getTransaction</a>, <a href="../../../../../../org/firebirdsql/gds/ng/FbStatement.html#getType--">getType</a>, <a href="../../../../../../org/firebirdsql/gds/ng/FbStatement.html#removeStatementListener-org.firebirdsql.gds.ng.listeners.StatementListener-">removeStatementListener</a>, <a href="../../../../../../org/firebirdsql/gds/ng/FbStatement.html#setTransaction-org.firebirdsql.gds.ng.FbTransaction-">setTransaction</a>, <a href="../../../../../../org/firebirdsql/gds/ng/FbStatement.html#validateParameters-org.firebirdsql.gds.ng.fields.RowValue-">validateParameters</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.listeners.ExceptionListenable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.gds.ng.listeners.<a href="../../../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html" title="interface in org.firebirdsql.gds.ng.listeners">ExceptionListenable</a></h3>
<code><a href="../../../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html#addExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">addExceptionListener</a>, <a href="../../../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html#removeExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">removeExceptionListener</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="V10Statement-org.firebirdsql.gds.ng.wire.FbWireDatabase-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>V10Statement</h4>
<pre>public&nbsp;V10Statement(<a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a>&nbsp;database)</pre>
<div class="block">Creates a new instance of V10Statement for the specified database.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>database</code> - FbWireDatabase implementation</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getSqlInfo-byte:A-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSqlInfo</h4>
<pre>public&nbsp;byte[]&nbsp;getSqlInfo(byte[]&nbsp;requestItems,
                         int&nbsp;bufferLength)
                  throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/FbStatement.html#getSqlInfo-byte:A-int-">FbStatement</a></code></span></div>
<div class="block">Request statement info.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/firebirdsql/gds/ng/FbStatement.html#getSqlInfo-byte:A-int-">getSqlInfo</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/FbStatement.html" title="interface in org.firebirdsql.gds.ng">FbStatement</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>requestItems</code> - Array of info items to request</dd>
<dd><code>bufferLength</code> - Response buffer length to use</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Response buffer</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="sendInfoSql-byte:A-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sendInfoSql</h4>
<pre>protected&nbsp;void&nbsp;sendInfoSql(byte[]&nbsp;requestItems,
                           int&nbsp;bufferLength)
                    throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a>,
                           <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Sends the info sql request to the database</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>requestItems</code> - Info request items</dd>
<dd><code>bufferLength</code> - Requested response buffer length</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="processInfoSqlResponse-org.firebirdsql.gds.ng.wire.GenericResponse-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>processInfoSqlResponse</h4>
<pre>protected&nbsp;byte[]&nbsp;processInfoSqlResponse(<a href="../../../../../../org/firebirdsql/gds/ng/wire/GenericResponse.html" title="class in org.firebirdsql.gds.ng.wire">GenericResponse</a>&nbsp;response)</pre>
<div class="block">Processes the info sql response.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>response</code> - GenericResponse</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>info sql response buffer</dd>
</dl>
</li>
</ul>
<a name="free-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>free</h4>
<pre>protected&nbsp;void&nbsp;free(int&nbsp;option)
             throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#free-int-">AbstractFbStatement</a></code></span></div>
<div class="block">Frees the currently allocated statement (either close the cursor with <a href="../../../../../../org/firebirdsql/gds/ISCConstants.html#DSQL_close"><code>ISCConstants.DSQL_close</code></a> or drop the statement
 handle using <a href="../../../../../../org/firebirdsql/gds/ISCConstants.html#DSQL_drop"><code>ISCConstants.DSQL_drop</code></a>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#free-int-">free</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html" title="class in org.firebirdsql.gds.ng">AbstractFbStatement</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>option</code> - Free option</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="doFreePacket-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>doFreePacket</h4>
<pre>protected&nbsp;void&nbsp;doFreePacket(int&nbsp;option)
                     throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a>,
                            <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block">Handles sending the free statement packet and associated state changes on this statement</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>option</code> - Free statement option</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
<a name="sendFree-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sendFree</h4>
<pre>protected&nbsp;void&nbsp;sendFree(int&nbsp;option)
                 throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a>,
                        <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Sends the free statement to the database</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>option</code> - Free statement option</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="processFreeResponse-org.firebirdsql.gds.ng.wire.Response-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>processFreeResponse</h4>
<pre>protected&nbsp;void&nbsp;processFreeResponse(<a href="../../../../../../org/firebirdsql/gds/ng/wire/Response.html" title="interface in org.firebirdsql.gds.ng.wire">Response</a>&nbsp;response)</pre>
<div class="block">Processes the response to the free statement.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>response</code> - Response object</dd>
</dl>
</li>
</ul>
<a name="prepare-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>prepare</h4>
<pre>public&nbsp;void&nbsp;prepare(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;statementText)
             throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/FbStatement.html#prepare-java.lang.String-">FbStatement</a></code></span></div>
<div class="block">Prepare the statement text.
 <p>
 If this handle is in state <a href="../../../../../../org/firebirdsql/gds/ng/StatementState.html#NEW"><code>StatementState.NEW</code></a> then it will first allocate the statement.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/firebirdsql/gds/ng/FbStatement.html#prepare-java.lang.String-">prepare</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/FbStatement.html" title="interface in org.firebirdsql.gds.ng">FbStatement</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>statementText</code> - Statement text</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - If a database access error occurs, or this statement is currently executing a query.</dd>
</dl>
</li>
</ul>
<a name="sendPrepare-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sendPrepare</h4>
<pre>protected&nbsp;void&nbsp;sendPrepare(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;statementText)
                    throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a>,
                           <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block">Sends the statement prepare to the connection.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>statementText</code> - Statement</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
<a name="processPrepareResponse-org.firebirdsql.gds.ng.wire.GenericResponse-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>processPrepareResponse</h4>
<pre>protected&nbsp;void&nbsp;processPrepareResponse(<a href="../../../../../../org/firebirdsql/gds/ng/wire/GenericResponse.html" title="class in org.firebirdsql.gds.ng.wire">GenericResponse</a>&nbsp;genericResponse)
                               throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Processes the prepare response from the server.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>genericResponse</code> - GenericResponse</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="setCursorName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCursorName</h4>
<pre>public&nbsp;void&nbsp;setCursorName(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;cursorName)
                   throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/FbStatement.html#setCursorName-java.lang.String-">FbStatement</a></code></span></div>
<div class="block">Sets the named cursor name for this statement.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/firebirdsql/gds/ng/FbStatement.html#setCursorName-java.lang.String-">setCursorName</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/FbStatement.html" title="interface in org.firebirdsql.gds.ng">FbStatement</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cursorName</code> - Name of the cursor</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - If this statement is closed, TODO: Other reasons (eg cursor open)?</dd>
</dl>
</li>
</ul>
<a name="execute-org.firebirdsql.gds.ng.fields.RowValue-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>execute</h4>
<pre>public&nbsp;void&nbsp;execute(<a href="../../../../../../org/firebirdsql/gds/ng/fields/RowValue.html" title="class in org.firebirdsql.gds.ng.fields">RowValue</a>&nbsp;parameters)
             throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/FbStatement.html#execute-org.firebirdsql.gds.ng.fields.RowValue-">FbStatement</a></code></span></div>
<div class="block">Execute the statement.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/firebirdsql/gds/ng/FbStatement.html#execute-org.firebirdsql.gds.ng.fields.RowValue-">execute</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/FbStatement.html" title="interface in org.firebirdsql.gds.ng">FbStatement</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>parameters</code> - The list of parameter values to use for execution.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - When the number of type of parameters does not match the types returned by <a href="../../../../../../org/firebirdsql/gds/ng/FbStatement.html#getParameterDescriptor--"><code>FbStatement.getParameterDescriptor()</code></a>,
         a parameter value was not set, or when an error occurred executing this statement.</dd>
</dl>
</li>
</ul>
<a name="sendExecute-int-org.firebirdsql.gds.ng.fields.RowValue-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sendExecute</h4>
<pre>protected&nbsp;void&nbsp;sendExecute(int&nbsp;operation,
                           <a href="../../../../../../org/firebirdsql/gds/ng/fields/RowValue.html" title="class in org.firebirdsql.gds.ng.fields">RowValue</a>&nbsp;parameters)
                    throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a>,
                           <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Sends the execute (for <code>op_execute</code> or <code>op_execute2</code>) to the database.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>operation</code> - Operation (<code>op_execute</code> or <code>op_execute2</code>)</dd>
<dd><code>parameters</code> - Parameters</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="processExecuteSingletonResponse-org.firebirdsql.gds.ng.wire.SqlResponse-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>processExecuteSingletonResponse</h4>
<pre>protected&nbsp;void&nbsp;processExecuteSingletonResponse(<a href="../../../../../../org/firebirdsql/gds/ng/wire/SqlResponse.html" title="class in org.firebirdsql.gds.ng.wire">SqlResponse</a>&nbsp;sqlResponse)
                                        throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a>,
                                               <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block">Process the execute response for statements with a singleton response (<code>op_execute2</code>; stored procedures).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sqlResponse</code> - SQL response object</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
<a name="processExecuteResponse-org.firebirdsql.gds.ng.wire.GenericResponse-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>processExecuteResponse</h4>
<pre>protected&nbsp;void&nbsp;processExecuteResponse(<a href="../../../../../../org/firebirdsql/gds/ng/wire/GenericResponse.html" title="class in org.firebirdsql.gds.ng.wire">GenericResponse</a>&nbsp;genericResponse)</pre>
<div class="block">Process the execute response.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>genericResponse</code> - Generic response object</dd>
</dl>
</li>
</ul>
<a name="fetchRows-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fetchRows</h4>
<pre>public&nbsp;void&nbsp;fetchRows(int&nbsp;fetchSize)
               throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/FbStatement.html#fetchRows-int-">FbStatement</a></code></span></div>
<div class="block">Requests this statement to fetch the next <code>fetchSize</code> rows.
 <p>
 Fetched rows are not returned from this method, but sent to the registered <a href="../../../../../../org/firebirdsql/gds/ng/listeners/StatementListener.html" title="interface in org.firebirdsql.gds.ng.listeners"><code>StatementListener</code></a> instances.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/firebirdsql/gds/ng/FbStatement.html#fetchRows-int-">fetchRows</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/FbStatement.html" title="interface in org.firebirdsql.gds.ng">FbStatement</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fetchSize</code> - Number of rows to fetch (must be <code>&gt; 0</code>)</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - For database access errors, when called on a closed statement, when no cursor is open or when the fetch
         size is not <code>&gt; 0</code>.</dd>
</dl>
</li>
</ul>
<a name="processFetchResponse--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>processFetchResponse</h4>
<pre>protected&nbsp;void&nbsp;processFetchResponse()
                             throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a>,
                                    <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Process the fetch response by reading the returned rows and queuing them.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="sendFetch-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sendFetch</h4>
<pre>protected&nbsp;void&nbsp;sendFetch(int&nbsp;fetchSize)
                  throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a>,
                         <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block">Sends the fetch request to the database.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fetchSize</code> - Number of rows to fetch.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
<a name="readSqlData--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>readSqlData</h4>
<pre>protected&nbsp;<a href="../../../../../../org/firebirdsql/gds/ng/fields/RowValue.html" title="class in org.firebirdsql.gds.ng.fields">RowValue</a>&nbsp;readSqlData()
                        throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a>,
                               <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block">Reads a single row from the database.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Row as a <a href="../../../../../../org/firebirdsql/gds/ng/fields/RowValue.html" title="class in org.firebirdsql.gds.ng.fields"><code>RowValue</code></a></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
<a name="readColumnData-org.firebirdsql.gds.impl.wire.XdrInputStream-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>readColumnData</h4>
<pre>protected&nbsp;byte[]&nbsp;readColumnData(<a href="../../../../../../org/firebirdsql/gds/impl/wire/XdrInputStream.html" title="class in org.firebirdsql.gds.impl.wire">XdrInputStream</a>&nbsp;xdrIn,
                                int&nbsp;len)
                         throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
<a name="writeSqlData-org.firebirdsql.gds.ng.fields.RowDescriptor-org.firebirdsql.gds.ng.fields.RowValue-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>writeSqlData</h4>
<pre>protected&nbsp;void&nbsp;writeSqlData(<a href="../../../../../../org/firebirdsql/gds/ng/fields/RowDescriptor.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptor</a>&nbsp;rowDescriptor,
                            <a href="../../../../../../org/firebirdsql/gds/ng/fields/RowValue.html" title="class in org.firebirdsql.gds.ng.fields">RowValue</a>&nbsp;fieldValues)
                     throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a>,
                            <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Write a set of SQL data from a <a href="../../../../../../org/firebirdsql/gds/ng/fields/RowValue.html" title="class in org.firebirdsql.gds.ng.fields"><code>RowValue</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>rowDescriptor</code> - The row descriptor</dd>
<dd><code>fieldValues</code> - The List containing the SQL data to be written</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code> - if an error occurs while writing to the underlying output stream</dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="writeColumnData-org.firebirdsql.gds.impl.wire.XdrOutputStream-int-byte:A-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>writeColumnData</h4>
<pre>protected&nbsp;void&nbsp;writeColumnData(<a href="../../../../../../org/firebirdsql/gds/impl/wire/XdrOutputStream.html" title="class in org.firebirdsql.gds.impl.wire">XdrOutputStream</a>&nbsp;xdrOut,
                               int&nbsp;len,
                               byte[]&nbsp;buffer,
                               int&nbsp;fieldType)
                        throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
<a name="sendAllocate--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sendAllocate</h4>
<pre>protected&nbsp;void&nbsp;sendAllocate()
                     throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a>,
                            <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block">Sends the allocate request to the server.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
<a name="processAllocateResponse-org.firebirdsql.gds.ng.wire.GenericResponse-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>processAllocateResponse</h4>
<pre>protected&nbsp;void&nbsp;processAllocateResponse(<a href="../../../../../../org/firebirdsql/gds/ng/wire/GenericResponse.html" title="class in org.firebirdsql.gds.ng.wire">GenericResponse</a>&nbsp;response)
                                throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Processes the allocate response from the server.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>response</code> - GenericResponse</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getDefaultSqlInfoSize--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDefaultSqlInfoSize</h4>
<pre>public&nbsp;int&nbsp;getDefaultSqlInfoSize()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/firebirdsql/gds/ng/FbStatement.html#getDefaultSqlInfoSize--">getDefaultSqlInfoSize</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/FbStatement.html" title="interface in org.firebirdsql.gds.ng">FbStatement</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The default size to use for the sql info buffer</dd>
</dl>
</li>
</ul>
<a name="getMaxSqlInfoSize--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getMaxSqlInfoSize</h4>
<pre>public&nbsp;int&nbsp;getMaxSqlInfoSize()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/firebirdsql/gds/ng/FbStatement.html#getMaxSqlInfoSize--">getMaxSqlInfoSize</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/FbStatement.html" title="interface in org.firebirdsql.gds.ng">FbStatement</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The maximum size to use for the sql info buffer</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Service.html" title="class in org.firebirdsql.gds.ng.wire.version10"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10Transaction.html" title="class in org.firebirdsql.gds.ng.wire.version10"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/firebirdsql/gds/ng/wire/version10/V10Statement.html" target="_top">Frames</a></li>
<li><a href="V10Statement.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.firebirdsql.gds.ng.AbstractFbStatement">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
